<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
|This program is released as free software    |
|under the |Affero GPL license. 	      |
|You can redistribute it and/or		      |
|modify it under the terms of this license    |
|which you |can read by viewing the included  |
|agpl.html or online			      |
|at www.gnu.org/licenses/agpl.html. 	      |
|Removal of this|copyright header is strictly |
|prohibited without |written permission from  |
|the original author(s).		      |
+---------------------------------------------+
|Kroax is written by Domi & fetloser          |
|http://www.venue.nu			      |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }
if (!defined("LANGUAGE")) {
// PHPFusion environment
$this_lang = str_replace("/", "", LOCALESET);
if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
include INFUSIONS."the_kroax/locale/".$this_lang.".php";
} else {
include INFUSIONS."the_kroax/locale/English.php";
}
} else {
// mFusion environment
$this_lang = LANGUAGE;
if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
include INFUSIONS."the_kroax/locale/".$this_lang.".php";
} else {
include INFUSIONS."the_kroax/locale/English.php";
}
}

// Infusion general information
$inf_title = $locale['KROAX100'];
$inf_description = $locale['KROAX005'];
$inf_version = "5.1";
$inf_developer = "fetloser & Domi.";
$inf_email = "bigbadaliens@outerspace.org";
$inf_weburl = "http://www.venue.nu";

$inf_folder = "the_kroax"; // The folder in which the infusion resides.
$inf_admin_image = "../../infusions/the_kroax/img/the_kroax.jpg"; // Leave blank to use the default image.
$inf_admin_panel = "admin/admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['KROAX201'] ; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "kroax.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - kroax / 102 - Admin / 103 - Super Admin.

$inf_newtables = 7; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.

$inf_newtable_[1] = "kroax (
`kroax_id` smallint(5) unsigned NOT NULL auto_increment,
    	`kroax_titel` varchar(30) NOT NULL default '',
	`kroax_cat` varchar(30) NOT NULL default '',
	`kroax_access` varchar(10) NOT NULL default '',
	`kroax_access_cat` varchar(10) NOT NULL default '',
	`kroax_date` int(10) NOT NULL default '',
	`kroax_embed` text NOT NULL default '',
    	`kroax_uploader` varchar(50) NOT NULL default '',
	`kroax_lastplayed` int(10) NOT NULL default '',
	`kroax_approval` varchar(30) NOT NULL default '',
	`kroax_url` varchar(200) NOT NULL default '',
	`kroax_downloads` int(10) NOT NULL default '',
	`kroax_hits` varchar(50) NOT NULL default '',
	`kroax_description` text NOT NULL default '',
	`kroax_tumb` varchar(150) NOT NULL default '',
	`kroax_errorreport` varchar(100) NOT NULL default '',
	PRIMARY KEY (`kroax_id`)
) TYPE=MyISAM;";

$inf_newtable_[2] = "kroax_kategori (
`cid` smallint(5) unsigned NOT NULL auto_increment,
`title` varchar(40) NOT NULL default '',
`access` varchar(10) NOT NULL default '',
`image` varchar(30) NOT NULL default '0',
`parentid` int(10) NOT NULL default '0',
`status` int(10) NOT NULL default '0',
PRIMARY KEY (`cid`)
) TYPE=MyISAM;";

$inf_newtable_[3] = "kroax_set (
`kroax_set_id` smallint(2) NOT NULL default '0',
`kroax_set_hi` varchar(3) NOT NULL default '0',
`kroax_set_wi` varchar(3) NOT NULL default '0',
`kroax_set_pre` varchar(50) NOT NULL default '0',
`kroax_set_pic` varchar(100) NOT NULL default '0',
`kroax_set_show` varchar(20) NOT NULL default '0',
`kroax_set_thumb` varchar(10) NOT NULL default '0',
`kroax_set_thumbs_per_row` int(10) NOT NULL default '0',
`kroax_set_thumbs_per_page` int(10) NOT NULL default '0',
`kroax_set_ffmpeg` int(10) NOT NULL default '0',
`kroax_set_favorites` int(10) NOT NULL default '0',
`kroax_set_recommend` int(10) NOT NULL default '0',
`kroax_set_ratings` int(10) NOT NULL default '0',
`kroax_set_comments` int(10) NOT NULL default '0',
`kroax_set_keepalive` int(10) NOT NULL default '0',
`kroax_set_playingnow` int(10) NOT NULL default '0',
`kroax_set_bannerimg` varchar(100) NOT NULL default '0',
`kroax_set_related` int(10) NOT NULL default '0',
`kroax_set_report` int(10) NOT NULL default '0',
`kroax_set_allowembed` int(10) NOT NULL default '0',
`kroax_set_allowdownloads` int(10) NOT NULL default '0',
`kroax_set_allowplaylist` int(10) NOT NULL default '0',
`kroax_set_allowuploads` int(10) NOT NULL default '0',
`kroax_set_version` varchar(10) NOT NULL default '0',
PRIMARY KEY (`kroax_set_id`)
) TYPE=MyISAM;";

$inf_newtable_[4] = "kroax_ratings (
rating_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
rating_item_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
rating_type CHAR(1) NOT NULL DEFAULT '',
rating_user SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
rating_vote TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
rating_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
rating_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
PRIMARY KEY (`rating_id`)
) TYPE=MyISAM;";

$inf_newtable_[5] = "kroax_active (
  `movie_id` int(10) NOT NULL default '0',
  `title` varchar(50) NOT NULL default '0',
  `icon` varchar(50) NOT NULL default '0',
  `lastactive` int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;";

$inf_newtable_[6] = "kroax_activeusr (
  `movie_id` int(10) NOT NULL default '0',
  `member` int(10) NOT NULL default '0',
  `user_ip` varchar(20) NOT NULL default '0',
  `lastactive` int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;";


$inf_newtable_[7] = "kroax_favourites (
  `fav_id` int(30) NOT NULL default '0',
  `fav_user` int(30) NOT NULL default '0',
  `fav_date` int(10) NOT NULL default ''
) TYPE=MyISAM;";


$inf_insertdbrow_[1] = "kroax_set VALUES('1', '85', '150', '10', '15', '1','1','4','16','0','1','1','1','1','1','1','img/logo.gif','1','1','1','1','1','1','5.1')";

$inf_droptable_[1] = "kroax";
$inf_droptable_[2] = "kroax_kategori";
$inf_droptable_[3] = "kroax_set";
$inf_droptable_[4] = "kroax_ratings";
$inf_droptable_[5] = "kroax_active";
$inf_droptable_[6] = "kroax_activeusr";
$inf_droptable_[7] = "kroax_favourites";
?>